Summary: Change ssh_config to work best with Fermilab
Name: zz_fermi_ssh_config
Version: 1.1
Release: 2
License: GPL
Group: System Environment/Base
BuildArch: noarch

%description
Change ssh_config so that you can log into fermilab


%triggerin -- openssh-clients
if [ -f /etc/ssh/ssh_config ] ; then
	if ! [ -f /etc/ssh/ssh_config.save ] ; then
		/bin/cp -f /etc/ssh/ssh_config /etc/ssh/ssh_config.save
	fi
	if [ "$(grep thisaddedbyfermi /etc/ssh/ssh_config)" = "" ] ; then
		TEMPFILE="`mktemp /etc/ssh/ssh_config.XXXXXXXXXX`"
		chmod 644 $TEMPFILE
		echo "### thisaddedbyfermi ###" >> $TEMPFILE
		echo "Host 131.225.* *.fnal.gov *soudan.org" >> $TEMPFILE
		echo "        GSSAPIAuthentication yes" >> $TEMPFILE
		echo "        GSSAPIDelegateCredentials yes" >> $TEMPFILE
		echo "        ForwardX11Trusted yes" >> $TEMPFILE
		echo "        ForwardX11 yes" >> $TEMPFILE
		cat /etc/ssh/ssh_config >> $TEMPFILE
		/bin/mv -f $TEMPFILE /etc/ssh/ssh_config
	fi	
fi


%files

%changelog
* Wed Jun 22 2011 Troy Dawson <dawson@fnal.gov> 1.1-2
- fixed permission problem
- fixed selinux permissions problem

* Wed Jun 22 2011 Troy Dawson <dawson@fnal.gov> 1.1-1
- Putting the changes at the beginning of the config file
- Changed the host to have 131.225.* *.fnal.gov *soudan.org

* Wed Jan 07 2009 Troy Dawson <dawson@fnal.gov> 1.0-1
- First round
